AurionAI Docs

Create Entry

POST
/api/v2/oncall/schedules/{schedule_id}/entries

Authorization

AuthorizationBearer <token>

In: header

Path Parameters

schedule_id*Schedule Id

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://loading/api/v2/oncall/schedules/string/entries" \  -H "Content-Type: application/json" \  -d '{    "end_at": "2019-08-24T14:15:22Z",    "start_at": "2019-08-24T14:15:22Z",    "user_id": "string"  }'
{
  "created_at": "2019-08-24T14:15:22Z",
  "end_at": "2019-08-24T14:15:22Z",
  "id": "string",
  "replaced_by_name": "string",
  "replaced_by_user_id": "string",
  "schedule_id": "string",
  "start_at": "2019-08-24T14:15:22Z",
  "user_email": "string",
  "user_id": "string",
  "user_name": "string"
}
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string"
    }
  ]
}